package rust

import (
	"dagger.io/dagger"
//	"dagger.io/dagger/core"
	"universe.dagger.io/x/contact@kjuulh.io/rust"
//	"universe.dagger.io/docker"
	"universe.dagger.io/alpine"
)

dagger.#Plan & {
	client: {
        filesystem: {
            ".": {
                read: {
                    contents: dagger.#FS
                }
            }
        }
    }

	actions: {
        test: {
		    _baseImage: alpine.#Build

			publish: rust.#Publish & {
				source: client.filesystem.".".read.contents
			}

//			exec: docker.#Run & {
//				input: _baseImage.output
//				command: {
//					name: "/bin/sh"
//					args: ["-c", "/app/hello_world >> /output.txt"]
//				}
//				env: NAME: "dagger"
//				mounts: binary: {
//					dest:     "/app"
//					contents: publish.output
//					source:   "/"
//				}
//			}

//			verify: core.#ReadFile & {
//				input: exec.output.rootfs
//				path:  "/output.txt"
//			} & {
//				contents: "Hi dagger!"
//			}
        }
	}
}
